#![feature(drain_filter)]

#[macro_use]
extern crate log;
extern crate env_logger;

#[macro_use]
mod command;
mod drive;
mod motor_controller;
mod robot;

use robot::Robot;

fn main() {
    env_logger::init();

    let robot = Robot::new();

    robot.run();
}
